/**
 * 
 */
package org.jboss.identity.idm.integration.jboss5;




/**
 * 
 * Interface for exposing JMX operations.
 * 
 * @author  Jeff Yu
 *
 */
public interface IDMServiceMBean  {
	
	String defaultObjectName = "org.jboss.identity.idm:service=IDMService";
	
	String getIdmConfigFile() ;
	
	String getIdmSessionFactoryJNDI();
	
	String getDatasource();
	
	String getSQLScript();
	
	String getExitSQL();
	
	String getObjectName();
	
	String getSetupLocation();
	
	boolean isDoChecking();
	
	String getHibernateConfigLocation();
	
	String getHibernateSessionFactoryRegistryName();

}
